1. Webhooks
ResellerStack Developer API
  • Introduction
  • Quick start
  • API Reference
    • Customers
      • List customers
      • Create customer
      • Get customer
      • Update customer notes
      • Update customer status
      • Update billing details
    • Geo
      • List countries
      • List states
    • Pricing
      • List TLD pricing
      • Update TLD pricing
      • Set TLD featured
      • Apply bulk margin
      • Reorder TLD pricing
    • Domains
      • List domains
      • Check domain availability
      • Register a domain
      • Checkout domain cart (bulk)
      • Toggle WHOIS privacy
      • Update domain contacts
      • Get domain
      • Toggle transfer lock
      • Toggle auto-renew
      • Preview renewal price
      • Renew domain now
      • Register a domain with Google Workspace
      • List bundle offers for a name
      • Register a bundle
    • Contacts
      • List contacts
      • Create contact
      • Get contact
    • Orders
      • List orders
      • Get order
    • DNS
      • List DNS records
      • Add DNS records
      • Update DNS record
      • Delete DNS record
      • Update nameservers
      • Reset nameservers
      • List DNSSEC records
      • Add DNSSEC record
      • Delete DNSSEC record
    • Wallet
      • Get wallet balance
    • Webhooks
      • workspace.pastdue
      • workspace.expired
      • workspace.txt.failed
      • workspace.renewed
      • workspace.provisioned
      • workspace.txt.ready
      • workspace.txt.propagated
      • workspace.licenses.increased
      • workspace.deleted
      • workspace.failed
      • mailbox.ready
      • mailbox.deleted
      • workspace.dkim.ready
      • workspace.dkim.propagated
      • workspace.domain.swapped
      • Delivered when domain.order.success fires
      • Delivered when domain.order.failed fires
      • Delivered when domain.renewal.success fires
      • Delivered when domain.renewal.failed fires
    • GWS
      • Google Workspace ~ Creation Flow
      • Google Workspace ~ Sandbox Environment
      • Check Workspace Exists
      • Create Workspace
      • List Workspaces
      • Delete Workspace
      • Check DNS Propagation
      • Renew Workspace
      • Change Primary Domain (Beta)
    • Licenses & Mailboxes
      • Create Mailbox
      • List Mailboxes
      • Delete Mailboxes
      • Decrease Seats
  • Health check
    GET
  • Get current partner
    GET
  1. Webhooks

workspace.failed

Webhook
POST
workspace.failed
Fired when workspace provisioning fails terminally.
Includes the reason string and the emails array of addresses that were attempted but could not be created. No further automatic retries will occur — the partner must create a new workspace to try again.

Request

Body Params application/json

Examples

Responses

🟢200OK
Any 2xx response acknowledges receipt and stops retries.
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://your-api-server.com' \
--header 'Content-Type: application/json' \
--data-raw '{
    "event": "workspace.failed",
    "eventId": "evt_9f8e7d6c5b4a",
    "data": {
        "userId": "b3d6f2a1-4c8e-4f9d-a2b1-7e3d5c9f0a12",
        "domain": "example.com",
        "adminEmail": null,
        "status": "failed",
        "totalSeats": 2,
        "usedSeats": 0,
        "availableSeats": 0,
        "createdAt": "2026-09-16T20:00:00.000Z",
        "reason": "Domain already has a Google Workspace account",
        "emails": [
            "admin@example.com",
            "alice@example.com"
        ]
    }
}'
Modified at 2026-10-21 12:35:15
Previous
workspace.deleted
Next
mailbox.ready
Built with